## maradns 0.9.15

=== dns/Makefile ===
DOBJECTS=Queries.o Compress.o bobbit.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
OBJECTS=$(DOBJECTS) $(JOBJS) $(MJOBJS)

FLAGS = -O2 -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: Queries.o Compress.o bobbit.o

clean:
	rm -f Queries.o Compress.o bobbit.o

Queries.o: Queries.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Queries.o Queries.c 

Compress.o: Compress.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Compress.o Compress.c 

bobbit.o: bobbit.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o bobbit.o bobbit.c
