=== parse/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
POBJECTS=ParseMaraRc.o ParseCsv1.o ParseIpAcl.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
OBJECTS=$(JOBJS) $(MJOBJS) $(POBJECTS) $(DOBJECTS)
EXECS=parsetest parsetest2

FLAGS = -O2 -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f $(POBJECTS) core $(EXECS) 

../libs/tests:
	cd libs ; make

ParseMaraRc.o: ParseMaraRc.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h ParseMaraRc_en.h
	$(CC) -c $(FLAGS) -o ParseMaraRc.o ParseMaraRc.c 

ParseCsv1.o: ParseCsv1.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o ParseCsv1.o ParseCsv1.c 

ParseIpAcl.o: ParseIpAcl.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o ParseIpAcl.o ParseIpAcl.c

parsetest: parsetest.c $(OBJECTS) 
	$(CC) $(FLAGS) -o parsetest parsetest.c $(OBJECTS) 

parsetest2: parsetest2.c $(OBJECTS) 
	$(CC) $(FLAGS) -o parsetest2 parsetest2.c $(OBJECTS)
