=== rng/Makefile ===
# Written because some makes (such as NetBSD's make) do not like the Makefile
# the original Rijndael code came with.

ROBJECTS=rng-alg-fst.o rng-api-fst.o
OBJECTS=$(ROBJECTS)
TABLES=rng-32bit-tables.h

FLAGS = -O2 -Wall
#FLAGS = -g

all: $(ROBJECTS) 

clean:
	rm -f $(ROBJECTS) core make_32bit_tables $(TABLES)

rng-alg-fst.o: rng-alg-fst.c rng-alg-fst.h $(TABLES)
	$(CC) -c $(FLAGS) -o rng-alg-fst.o rng-alg-fst.c

rng-api-fst.o: rng-alg-fst.o rng-api-fst.h 
	$(CC) -c $(FLAGS) -o rng-api-fst.o rng-api-fst.c

make_32bit_tables: make_32bit_tables.c
	$(CC) -o make_32bit_tables make_32bit_tables.c

rng-32bit-tables.h: make_32bit_tables
	./make_32bit_tables > rng-32bit-tables.h
