=== test/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o ../parse/ParseIpAcl.o
ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS)
EXECS=rtest csv1test compress.test show.charnum ipacltest rngtest

FLAGS = -O2 $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS) 

libs/tests:
	cd libs ; make

rngtest: rngtest.c $(ROBJECTS)
	$(CC) $(FLAGS) -o rngtest rngtest.c $(ROBJECTS)

rtest: rtest.c $(OBJECTS)
	$(CC) $(FLAGS) -o rtest rtest.c $(OBJECTS)

csv1test: csv1test.c $(OBJECTS) 
	$(CC) $(FLAGS) -o csv1test csv1test.c $(OBJECTS)

compress.test: compress.test.c $(OBJECTS)
	$(CC) $(FLAGS) -o compress.test compress.test.c $(OBJECTS)

show.charnum: show.charnum.c 
	$(CC) $(FLAGS) -o show.charnum show.charnum.c 

ipacltest: ipacltest.c $(OBJECTS)
	$(CC) $(FLAGS) -o ipacltest ipacltest.c $(OBJECTS)
