=== tools/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS)
ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
EXECS=askmara strip.control benchmark 

FLAGS = -O2 $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS)

askmara: askmara.c askmara_labels_en.h $(OBJECTS) $(ROBJECTS)
	$(CC) $(FLAGS) -o askmara askmara.c $(OBJECTS) $(ROBJECTS)

benchmark: benchmark.c askmara_labels_en.h $(OBJECTS) 
	$(CC) $(FLAGS) -o benchmark benchmark.c $(OBJECTS)

strip.control: strip.control.c
	$(CC) $(FLAGS) -o strip.control strip.control.c
