=== tuzona/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o ../parse/ParseIpAcl.o
OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS)
EXECS=getzone zoneserver

FLAGS = -O2 -Wall $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS)

getzone: getzone.c $(OBJECTS) 
	$(CC) $(FLAGS) -o getzone getzone.c $(OBJECTS)

zoneserver: zoneserver.c $(OBJECTS)
	$(CC) $(FLAGS) -DVERSION=\"$(VERSION)\" -o zoneserver zoneserver.c $(OBJECTS)
