=== utf8/Makefile ===
UOBJECTS=Utf8.o
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
OBJECTS=$(UOBJECTS) $(JOBJS) $(MJOBJS)
EXECS=utf8test

FLAGS = -O2 $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f $(UOBJECTS) core $(EXECS)

Utf8.o: Utf8.c ../libs/JsStr.h ../libs/MaraHash.h ../MaraDns.h
	$(CC) -c $(FLAGS) -o Utf8.o Utf8.c 

utf8test: utf8test.c $(OBJECTS) 
	$(CC) $(FLAGS) -o utf8test utf8test.c $(OBJECTS)
