=== doc/en/Makefile ===
all: faq.txt faq.html QuickStart credits.txt changelog.txt files.txt

clean:
	rm -f faq.txt faq.html QuickStart

faq.html: source/faq.ej source/faq.embed
	../../tools/ej/ej2html source/faq.ej > faq.html

faq.txt: source/faq.ej source/faq.embed
	../../tools/ej/ej2txt source/faq.ej > faq.txt

QuickStart: source/quick_start.ej
	../../tools/ej/ej2txt source/quick_start.ej > QuickStart

credits.txt: source/credits.ej source/credits.embed
	../../tools/ej/ej2txt source/credits.ej > credits.txt

changelog.txt: source/changelog.ej source/changelog.embed
	../../tools/ej/ej2txt source/changelog.ej > changelog.txt

files.txt: source/files.ej
	../../tools/ej/ej2txt source/files.ej > files.txt
