=== doc/fr/Makefile ===
all: faq.txt faq.html QuickStart

clean:
	rm -f faq.txt faq.html QuickStart

faq.html: source/faq.ej source/faq.embed
	../../tools/ej/ej2html source/faq.ej > faq.html

faq.txt: source/faq.ej source/faq.embed
	../../tools/ej/ej2txt source/faq.ej > faq.txt

QuickStart: source/quick_start.ej
	../../tools/ej/ej2txt source/quick_start.ej > QuickStart
