## maradns 1.0.27

=== libs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 OBJECTS = JsStr.o JsStrOS.o JsStrCP.o MaraHash.o
-FLAGS = -O2 -Wall $(DEBUG)
+FLAGS = -g -O2 -Wall $(DEBUG)
 #FLAGS = -g -DDEBUG -DTHREADS
 #FLAGS = -g $(DEBUG)
