=== parse/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
 POBJECTS=ParseMaraRc.o ParseCsv1.o ParseIpAcl.o
-DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
+DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o ../server/timestamp.o
 OBJECTS=$(JOBJS) $(MJOBJS) $(POBJECTS) $(DOBJECTS)
 EXECS=parsetest parsetest2
 
-FLAGS = -O2 -Wall $(DEBUG)
+FLAGS = -g -O2 -Wall $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: $(EXECS)
