=== rng/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 OBJECTS=$(ROBJECTS)
 TABLES=rng-32bit-tables.h
 
-FLAGS = -O2 -Wall
+FLAGS = -g -O2 -Wall
 #FLAGS = -g
 
 all: $(ROBJECTS)
