=== sqa/Makefile ===
--- 
+++ 
@@ -1,11 +1,15 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
-DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
+DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
 ROBJECTS=../rng/rng-api-fst.o ../rng/rng-alg-fst.o
-OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(ROBJECTS)
-EXECS=asktest qr.test aaaatest dead_host_simulate sendudp
+# We need this for show_esc_stdout (yes, this should be elsewhere...)
+POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o
+# We need this for show_timestamp
+SOBJECTS=../server/timestamp.o
+OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(ROBJECTS) $(POBJECTS) $(SOBJECTS)
+EXECS=asktest qr.test aaaatest dead_host_simulate sendudp sendtcp
 
-FLAGS = -O2 $(DEBUG)
+FLAGS = -g -O2 $(DEBUG)
 #FLAGS = -g -DDEBUG
 
 all: $(EXECS)
@@ -15,6 +19,10 @@
 
 asktest: asktest.c ../tools/askmara_labels_en.h $(OBJECTS) 
 	$(CC) $(FLAGS) -o asktest asktest.c $(OBJECTS) 
+
+sendtcp: sendtcp.c ../tools/askmara_labels_en.h ../tuzona/getzone_locale.h \
+         $(OBJECTS) 
+	$(CC) $(FLAGS) -o sendtcp sendtcp.c $(OBJECTS) 
 
 sendudp: sendudp.c ../tools/askmara_labels_en.h $(OBJECTS) 
 	$(CC) $(FLAGS) -o sendudp sendudp.c $(OBJECTS)
