=== test/Makefile ===
--- 
+++ 
@@ -1,12 +1,14 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
-DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
+DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o \
+         ../dns/Decompress.o ../server/timestamp.o
 POBJECTS=../parse/ParseMaraRc.o ../parse/ParseCsv1.o ../parse/ParseIpAcl.o
 ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
 OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS)
-EXECS=rtest csv1test compress.test show.charnum ipacltest rngtest
+EXECS=rtest csv1test compress.test show.charnum ipacltest rngtest cst \
+      timestamp compress_new.test
 
-FLAGS = -O2 $(DEBUG)
+FLAGS = -g -O2 $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: $(EXECS)
@@ -29,9 +31,17 @@
 compress.test: compress.test.c $(OBJECTS)
 	$(CC) $(FLAGS) -o compress.test compress.test.c $(OBJECTS)
 
+compress_new.test: compress_new.test.c $(OBJECTS)
+	$(CC) $(FLAGS) -o compress_new.test compress_new.test.c $(OBJECTS)
+
 show.charnum: show.charnum.c 
 	$(CC) $(FLAGS) -o show.charnum show.charnum.c 
 
 ipacltest: ipacltest.c $(OBJECTS)
 	$(CC) $(FLAGS) -o ipacltest ipacltest.c $(OBJECTS)
 
+cst: cst.c $(OBJECTS)
+	$(CC) $(FLAGS) -o cst cst.c $(OBJECTS)
+
+timestamp: timestamp.c $(OBJECTS)
+	$(CC) $(FLAGS) -o timestamp timestamp.c $(OBJECTS)
