=== utf8/Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
 OBJECTS=$(UOBJECTS) $(JOBJS) $(MJOBJS)
-EXECS=utf8test
+EXECS=utf8test l1toutf8 utf8tol1 lcol
 
-FLAGS = -O2 $(DEBUG)
+FLAGS = -g -O2 $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: $(EXECS)
@@ -18,3 +18,12 @@
 utf8test: utf8test.c $(OBJECTS) 
 	$(CC) $(FLAGS) -o utf8test utf8test.c $(OBJECTS) 
 
+l1toutf8: l1toutf8.c
+	$(CC) $(FLAGS) -o l1toutf8 l1toutf8.c
+
+utf8tol1: utf8tol1.c
+	$(CC) $(FLAGS) -o utf8tol1 utf8tol1.c
+
+lcol: lcol.c
+	$(CC) $(FLAGS) -o lcol lcol.c
+
