=== tools/misc/Makefile ===
ROBJECTS=../../rng/rng-alg-fst.o ../../rng/rng-api-fst.o
EXECS=marahash

FLAGS = -g -O2
#FLAGS = -g

all: $(EXECS)

clean:
	rm -f core $(EXECS)

marahash: $(ROBJECTS) rnghash.c
	$(CC) $(FLAGS) -o marahash rnghash.c $(ROBJECTS)
