## maradns 1.0.28

=== tuzona/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
 MJOBJS=../libs/MaraHash.o
-DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o
+DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
 POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o ../parse/ParseIpAcl.o
-OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS)
+SOBJECTS=../server/timestamp.o
+OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(POBJECTS) $(SOBJECTS)
 EXECS=getzone zoneserver
 
-FLAGS = -O2 -Wall $(DEBUG)
+FLAGS = -g -O2 -Wall $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: $(EXECS)
