## maradns 1.0.35

=== server/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #FLAGS = -g $(DEBUG) -DNOTHREAD -DDEBUG
 #FLAGS = -g -DDEBUG_MEMORY $(DEBUG) 
 #FLAGS = -g $(DEBUG) 
-FLAGS = -g -O2 -Wall $(DEBUG)
+FLAGS = -g -O2 -Wall $(DEBUG) $(DEFINES)
 
 all: $(EXECS)
