=== tools/Makefile ===
JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
MJOBJS=../libs/MaraHash.o
DOBJECTS=../dns/Queries.o ../dns/Compress.o ../dns/bobbit.o ../dns/Decompress.o
SOBJECTS=../server/timestamp.o
OBJECTS=$(JOBJS) $(MJOBJS) $(DOBJECTS) $(SOBJECTS)
ROBJECTS=../rng/rng-alg-fst.o ../rng/rng-api-fst.o
POBJECTS=../parse/ParseCsv1.o ../parse/ParseMaraRc.o
EXECS=askmara strip.control benchmark 

FLAGS = -g -O2 $(DEBUG)
#FLAGS = -g $(DEBUG)

all: $(EXECS)

clean:
	rm -f core $(EXECS)

askmara: askmara.c askmara_labels_en.h $(OBJECTS) $(ROBJECTS) $(POBJECTS)
	$(CC) $(FLAGS) -o askmara askmara.c $(OBJECTS) $(ROBJECTS) $(POBJECTS)

benchmark: benchmark.c askmara_labels_en.h $(OBJECTS) $(POBJECTS)
	$(CC) $(FLAGS) -o benchmark benchmark.c $(OBJECTS) $(POBJECTS)

strip.control: strip.control.c
	$(CC) $(FLAGS) -o strip.control strip.control.c
