=== doc/en/tutorial/Makefile ===
all: tutorial.html man.csv1.html man.mararc.html man.maradns.html \
     authoritative.html compile.html convert.html recursive.html \
     glossary.html recordtypes.html dangling.html

clean:
	rm -f tutorial.html man.csv1.html man.mararc.html man.maradns.html \
	  authoritative.html compile.html convert.html recursive.html \
	  glossary.html recordtypes.html

man.maradns.html: ../source/maradns.ej ../source/faq.embed \
                  ../source/credits.embed
	../../../tools/ej/ej2html ../source/maradns.ej > man.maradns.html

man.mararc.html: ../source/mararc.ej
	../../../tools/ej/ej2html ../source/mararc.ej > man.mararc.html

man.csv1.html: ../source/csv1.ej
	../../../tools/ej/ej2html ../source/csv1.ej > man.csv1.html

tutorial.html: ../source/tutorial.ej
	../../../tools/ej/ej2html ../source/tutorial.ej > tutorial.html

authoritative.html: ../source/authoritative.ej
	../../../tools/ej/ej2html ../source/authoritative.ej > \
	    authoritative.html

compile.html: ../source/compile.ej
	../../../tools/ej/ej2html ../source/compile.ej > compile.html

convert.html: ../source/convert.ej
	../../../tools/ej/ej2html ../source/convert.ej > convert.html

recursive.html: ../source/recursive.ej
	../../../tools/ej/ej2html ../source/recursive.ej > \
	  recursive.html

glossary.html: ../source/glossary.ej
	../../../tools/ej/ej2html ../source/glossary.ej > \
	  glossary.html

recordtypes.html: ../source/recordtypes.ej
	../../../tools/ej/ej2html ../source/recordtypes.ej > \
	  recordtypes.html

dangling.html: ../source/dangling.ej
	../../../tools/ej/ej2html ../source/dangling.ej > \
	  dangling.html
