=== doc/en/webpage/Makefile ===
all: changelog.html contact.html dns_software.html download.html \
	faq-1.0.html faq.html index.html license.html notes.html \
	roadmap.html security.html

changelog.html: changelog.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page changelog.embed

contact.html: contact.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page contact.embed

dns_software.html: dns_software.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page dns_software.embed

download.html: download.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page download.embed

faq-1.0.html: faq-1.0.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page faq-1.0.embed

faq.html: faq.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page faq.embed

index.html: index.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page index.embed

license.html: license.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page license.embed

notes.html: notes.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page notes.embed

roadmap.html: roadmap.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page roadmap.embed

security.html: security.embed maradns-1.2-top.html maradns-1.2-bottom.html
	./make.page security.embed
