## maradns 1.2.12.04-1etch2

=== dns/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 DOBJECTS=Queries.o Compress.o bobbit.o Decompress.o
 JOBJS=../libs/JsStr.o ../libs/JsStrOS.o ../libs/JsStrCP.o 
-MJOBJS=../libs/MaraHash.o
-OBJECTS=$(DOBJECTS) $(JOBJS) $(MJOBJS)
+MHOBJS=../libs/MaraHash.o
+OBJECTS=$(DOBJECTS) $(JOBJS) $(MHOBJS)
 
-FLAGS = -g -O2 -Wall $(DEBUG)
+#FLAGS = -g -Wall $(DEBUG)
 #FLAGS = -g $(DEBUG)
 
 all: Queries.o Compress.o bobbit.o Decompress.o
