=== doc/en/text/Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
      dnstcp.txt man.duende.txt dnsmaster.txt man.csv2_txt.txt \
      man.csv2.txt dnsslave.txt update.txt man.askmara.txt \
      man.fetchzone.txt man.zoneserver.txt man.maradns.txt \
-     man.mararc.txt quick_start.txt dnsintro.txt
+     man.mararc.txt quick_start.txt dnsintro.txt \
+     win_service.txt
 
 clean:
 	rm -f *.txt 
@@ -90,3 +91,6 @@
 	../../../tools/ej/ej2txt ../source/quick_start.ej > \
 	    quick_start.txt
 
+win_service.txt: ../source/win_service.ej
+	../../../tools/ej/ej2txt ../source/win_service.ej > win_service.txt
+
