=== doc/en/webpage/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 all: changelog.html contact.html dns_software.html download.html \
 	faq-1.0.html faq.html index.html license.html notes.html \
-	roadmap.html security.html
+	roadmap.html security.html advocacy.html
 
 changelog.html: changelog.embed maradns-1.2-top.html maradns-1.2-bottom.html
 	./make.page changelog.embed
@@ -34,3 +34,7 @@
 
 security.html: security.embed maradns-1.2-top.html maradns-1.2-bottom.html
 	./make.page security.embed
+
+advocacy.html: advocacy.embed maradns-1.2-top.html maradns-1.2-bottom.html
+	./make.page advocacy.embed
+
