=== debian/changelog ===
maradns (1.2.12.04-1etch2) stable-security; urgency=high

  * Fix remote DoS

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed,  2 Jan 2008 20:05:55 +0000

maradns (1.2.12.04-1etch1) stable-security; urgency=high

  * Fix memleak DoS [CVE-2007-311[456]

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 21 Jun 2007 13:52:57 +0200

maradns (1.2.12.04-1) unstable; urgency=low

  * New upstream release
  * Source package contains non-free IETF RFC/I-D's (Closes: #393397)

 -- Kai Hendry <hendry@iki.fi>  Tue, 28 Nov 2006 08:54:23 -0300

maradns (1.2.12.03-1) unstable; urgency=low

  * New upstream release with many new doc tweaks. Though most of the changes
    are with the webpages which I have chosen not to distribute as you can
    read them all rather online at http://maradns.org/
  * The diffs in the Makefiles are due to upstream's configure script
  * Added bind2csv2.py as an example from upstream's tools/
    There is a lot of little scripts in tools/ which can probably join this

 -- Kai Hendry <hendry@iki.fi>  Mon,  9 Oct 2006 17:44:21 -0300

maradns (1.2.12.02-4) unstable; urgency=low

  * More tweaks to the init.

 -- Kai Hendry <hendry@iki.fi>  Mon,  9 Oct 2006 16:01:50 -0300

maradns (1.2.12.02-3) unstable; urgency=low

  * I applied patch in the wrong place. Thanks again to Boris Dorès

 -- Kai Hendry <hendry@iki.fi>  Sun,  8 Oct 2006 21:02:33 -0300

maradns (1.2.12.02-2) unstable; urgency=low

  * start/stop zoneserver (Closes: #384943)
    Thank you Boris Dorès for the patch
  * Need --oknodo in postinst (Closes: #386734)
  * Start maradns(19) before exim4(20)

 -- Kai Hendry <hendry@iki.fi>  Sun,  8 Oct 2006 19:32:22 -0300

maradns (1.2.12.02-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Wed, 23 Aug 2006 21:08:05 +0100

maradns (1.2.10-1) unstable; urgency=low

  * New upstream release
  * Added --oknodo to stop case
  * Stopping maradns: invoke-rc.d: initscript maradns, action "stop"
    failed. (Closes: #374655)

 -- Kai Hendry <hendry@iki.fi>  Wed, 21 Jun 2006 22:08:54 +0900

maradns (1.2.07.6-1) unstable; urgency=low

  * New upstream release
  * Microsoft doesn't follow DNS standards (Closes: #373701)

 -- Kai Hendry <hendry@iki.fi>  Sun, 18 Jun 2006 11:09:28 +0900

maradns (1.2.07.5-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Mon, 29 May 2006 21:35:46 +0900

maradns (1.2.07.1-1) unstable; urgency=low

  * New upstream release
  * http://www.maradns.org/tutorial/update.html#1.2.03

 -- Kai Hendry <hendry@iki.fi>  Wed, 22 Mar 2006 19:31:52 +0900

maradns (1.2.03.4-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Tue, 21 Mar 2006 11:39:29 +0900

maradns (1.2.03.3-1.1) unstable; urgency=low

  [ martin f. krafft ]
  * Non-maintainer upload.
  * Integrated resolvconf update script (closes: Bug#356725).

  [ Kai Hendry ]
  * Merging Martin's changes

 -- Kai Hendry <hendry@iki.fi>  Tue, 21 Mar 2006 11:35:13 +0900

maradns (1.2.03.3-1) unstable; urgency=low

  * New upstream release
  * fetchzone not included in package (Closes: #353738)

 -- Kai Hendry <hendry@iki.fi>  Tue, 21 Feb 2006 18:10:45 +0900

maradns (1.2.03.2-1) unstable; urgency=medium

  * New upstream release
  * New version of maradns available (Closes: #336366)

 -- Kai Hendry <hendry@iki.fi>  Sat,  4 Feb 2006 01:03:34 +0900

maradns (1.2.03.1-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Thu,  2 Feb 2006 11:37:14 +0900

maradns (1.2.00-1) unstable; urgency=low

  * New upstream release (3.5 years in the making!)
  * New version of maradns available (Closes: #336366)

 --  <hendry@iki.fi>  Thu, 22 Dec 2005 23:55:23 +0000

maradns (1.0.34-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Sat,  5 Nov 2005 13:28:08 +1100

maradns (1.0.32-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Mon, 29 Aug 2005 00:03:55 +1000

maradns (1.0.30-1) unstable; urgency=low

  * New upstream release

 -- Kai Hendry <hendry@iki.fi>  Fri,  8 Jul 2005 09:56:44 +1000

maradns (1.0.28-1) unstable; urgency=medium

  * New upstream release that fixes 2.6 lockup problem

 -- Kai Hendry <hendry@cs.helsinki.fi>  Tue, 10 May 2005 03:03:06 +0100

maradns (1.0.27-1) unstable; urgency=high

  * New upstream release (sponsored upload)
  * Fixes security issue described here:
    http://www.maradns.org/download/patches/maradns-1.0.26-rekey_rng.patch
  * Closes: #307662: New upstreams; security fixies, bug fixes, etc..
  * Returned wildcard example

 -- Jaakko Niemi <liiwi@debian.org>  Fri,  6 May 2005 14:32:14 +0300

maradns (1.0.26-1) unstable; urgency=low

  * New upstream release
  * Thanks to my debian-jp collegues, especially Takatsugu 'Knok' Nokubi
    for lending me his laptop for this belated release
  * Thanks to Albert Lee for giving me his package to check mine against
  * Closes: #298018: README.Debian subdomain issues
  * Closes: #298019: README.Debian refers to nonexistant natalian.org
    pages
  * Thanks Charles Fry for the README corrections

 -- Kai Hendry <hendry@cs.helsinki.fi>  Mon, 18 Apr 2005 16:05:04 +0900

maradns (1.0.23-4) unstable; urgency=low

  * Sponsored upload
  * Closes: #269839: maradns: multiple server configuration broken
  * Added tutorial in README.Debian to set up a "wildcard" authoritative 
    server
  * Added wildcard example

 -- Jaakko Niemi <liiwi@debian.org>  Sun, 26 Sep 2004 16:47:16 +0300

maradns (1.0.23-3) unstable; urgency=low

  * Closes: #262613: garbage during initial installation
  * Closes: #262615: No manpages for binaries
  * Modified README with instructions for a typical maradns
    use case with apache's vhost alias

 -- Kai Hendry <hendry@cs.helsinki.fi>  Sun,  1 Aug 2004 20:04:01 +0300

maradns (1.0.23-2) unstable; urgency=low

  * Sponsored upload
  * Closes: #256028: New rc file does not start multiple servers
    properly. Thank you for the patch Chris Allegretta.

