=== debian/control ===
Source: maradns
Section: net
Priority: extra
Maintainer: Kai Hendry <hendry@iki.fi>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.7.2

Package: maradns
Architecture: any
Depends: ${shlibs:Depends}, adduser
Description: Simple security-aware Domain Name Service server 
 An easy to configure DNS server that functions as a
 recursive and/or authoritative name server. Maradns is
 optimised for serving a small number of domains quickly and
 efficiently. Well suited to host your own private DNS server
 for making up subdomains with minimal fuss. Maradns is
 security-aware by utilising a special string library which
 is resistant to buffer overflows and mandating to run as an
 unprivileged user.
 .
 MaraDNS can be found from http://www.maradns.org/
