=== debian/watch ===
# sometimes the index on the page is not updated btw!
# uscan --verbose --report
version=2
http://maradns.org/download/maradns-(.*)\.tar\.gz
